LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 08-27-2003, 04:11 AM   #1
figgypower
LQ Newbie
 
Registered: Jul 2003
Posts: 8

Rep: Reputation: 0
Unhappy configure + qt problems


I'm trying to install the Alloy theme for KDE, as well as the KDE splash manger from kde-look.org. I read the "INSTALL" files and they tell me to run configure by means of "./configure". First, I tried installing Alloy without success, because it gives me the message:

Quote:
checking for Qt... configure: error: Qt (>= Qt 3.1 (20021021)) (headers and libraries) are not found. Please check your installation!
For more details about this problem, look at the end of config.log.
And, my config.log for the Alloy theme gives:

Quote:
configure:22968: checking for Qt
configure: 23036: /usr/lib/qt3/include/qstyle.h
configure: 23036: /usr/lib/qt3/qstyle.h
configure: 23036: /usr/lib/qt/include/qstyle.h
configure: 23036: /usr/lib/qt/qstyle.h
configure: 23036: /usr/share/qt3/include/qstyle.h
configure: 23036: /usr/share/qt3/qstyle.h
configure: 23036: /usr/local/qt/include/qstyle.h
configure: 23036: /usr/include/qt/qstyle.h
configure: 23036: /usr/include/qstyle.h
configure: 23036: /usr/X11R6/include/X11/qt/qstyle.h
configure: 23036: /usr/X11R6/include/qt/qstyle.h
configure: 23036: /usr/X11R6/include/qt2/qstyle.h
configure: 23036: /usr/include/qt3/qstyle.h
configure: 23036: /usr/X11R6/include/qstyle.h
tried NO
tried /usr/lib/qt3/lib
tried /usr/lib/qt3
tried /usr/lib/qt/lib
tried /usr/lib/qt
configure:23145: rm -rf SunWS_cache; g++ -o conftest -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -O2 -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common -INO -I/usr/X11R6/include -DQT_THREAD_SUPPORT -D_REENTRANT -L/usr/share/qt3/lib -L/usr/X11R6/lib conftest.cc -lqt-mt -ljpeg -ldl -lXext -lX11 -lSM -lICE -lpthread 1>&5
conftest.cc:2:21: qglobal.h: No such file or directory
conftest.cc:3:26: qapplication.h: No such file or directory
conftest.cc:4:21: qcursor.h: No such file or directory
conftest.cc:5:27: qstylefactory.h: No such file or directory
conftest.cc:6:34: private/qucomextra_p.h: No such file or directory
conftest.cc:7:8: warning: "QT_VERSION" is not defined
conftest.cc:8:2: #error 1
conftest.cc: In function `int main()':
conftest.cc:12: error: `QStyleFactory' undeclared (first use this function)
conftest.cc:12: error: (Each undeclared identifier is reported only once for
each function it appears in.)
conftest.cc:12: error: syntax error before `::' token
conftest.cc:13: error: `QCursor' undeclared (first use this function)
configure:23148: $? = 1
configure: failed program was:
#include "confdefs.h"
#include <qglobal.h>
#include <qapplication.h>
#include <qcursor.h>
#include <qstylefactory.h>
#include <private/qucomextra_p.h>
#if ! (QT_VERSION >= 0x030100)
#error 1
#endif

int main() {
(void)QStyleFactory::create(QString::null);
QCursor c(Qt::WhatsThisCursor);
return 0;
}
configure:23188: error: Qt (>= Qt 3.1 (20021021)) (headers and libraries) not found. Please check your installation!
For more details about this problem, look at the end of config.log.
The INSTALL file did mention that Debian people might have to append "--with-qt-includes=/usr/include/qt3" to the command line, and well I tried that, as well as "/usr/lib/qt3" and "/usr/share/qt3". I'm running Libranet with KDE, and I did a file search for "qt3" and those are the only solutions I could think of. As for KSplashManager, its config.log provides the same message as does the terminal. What should I do?
 
Old 09-30-2003, 01:22 AM   #2
neogeek
LQ Newbie
 
Registered: Sep 2003
Location: NY, USA
Posts: 10

Rep: Reputation: 0
Hi,
I had the same problem too.

You can download qt-3.1.2-7.fdr.2.rh90.i386.rpm from the below ftp site. You can look into the RH[Version]/RPMS (stable) to find it.

ftp site: ftp://apt.kde-redhat.org/apt/kde-redhat

I hope this helps.
 
Old 07-22-2004, 09:00 PM   #3
csobrero
LQ Newbie
 
Registered: Feb 2004
Posts: 6

Rep: Reputation: 0
Debian user:

#apt-get update (update packages list)
#apt-get install kde-devel (this must solve the problem, did it for me!)
 
Old 07-22-2004, 11:35 PM   #4
Electro
LQ Guru
 
Registered: Jan 2002
Posts: 6,042

Rep: Reputation: Disabled
The ./configure says you need QT 3.1 or latest version. It seems you have an earlier version. Like other people said you need to upgrade, but to be safe backup your linux root first.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
X Configure problems? Firewielder Linux - Hardware 9 11-02-2005 06:21 AM
Problems with ./configure PeterWelzien Slackware 16 07-08-2004 03:46 PM
./configure problems poacher Linux - Software 1 09-11-2002 02:11 AM
./configure problems KeithKessler Linux - General 5 07-15-2002 04:02 PM
./configure problems fritzlero Linux - General 0 10-23-2000 01:34 PM


All times are GMT -5. The time now is 02:22 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration